# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient Class Reference

`#include <STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient.hxx>`

## Public Member Functions

| STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient (const TopoDS_Shape &K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient::STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient | ( | const TopoDS_Shape & | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient::Key | ( |  | ) | const

Handle_Standard_Transient& STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient::myKey`[private]`

Handle_Standard_Transient STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient::myValue`[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapNodeOfDataMapOfShapeTransient.hxx